<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="c52799ba-83cd-46f7-b2da-2d47c17ebb70" name="Changes" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Interface" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="GitSEFilterConfiguration">
    <file-type-list>
      <filtered-out-file-type name="LOCAL_BRANCH" />
      <filtered-out-file-type name="REMOTE_BRANCH" />
      <filtered-out-file-type name="TAG" />
      <filtered-out-file-type name="COMMIT_BY_MESSAGE" />
    </file-type-list>
  </component>
  <component name="MarkdownSettingsMigration">
    <option name="stateVersion" value="1" />
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="failureBehavior" value="FAST" />
        <option name="userSettingsFile" value="C:\maven\conf\settings.xml" />
      </MavenGeneralSettings>
    </option>
  </component>
  <component name="MavenRunner">
    <option name="vmOptions" value="-Dmaven.wagon.http.ssl.insecure=true -Dmaven.wagon.http.ssl.allowall=true" />
  </component>
  <component name="ProblemsViewState">
    <option name="selectedTabId" value="CurrentFile" />
  </component>
  <component name="ProjectId" id="27JgPg39GhAmim2W5695jN8j21U" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">{
  &quot;keyToString&quot;: {
    &quot;RequestMappingsPanelOrder0&quot;: &quot;0&quot;,
    &quot;RequestMappingsPanelOrder1&quot;: &quot;1&quot;,
    &quot;RequestMappingsPanelWidth0&quot;: &quot;75&quot;,
    &quot;RequestMappingsPanelWidth1&quot;: &quot;75&quot;,
    &quot;WebServerToolWindowFactoryState&quot;: &quot;false&quot;,
    &quot;last_opened_file_path&quot;: &quot;D:/sourcecode/chapter07/helloapp&quot;,
    &quot;node.js.detected.package.eslint&quot;: &quot;true&quot;,
    &quot;node.js.detected.package.tslint&quot;: &quot;true&quot;,
    &quot;node.js.selected.package.eslint&quot;: &quot;(autodetect)&quot;,
    &quot;node.js.selected.package.tslint&quot;: &quot;(autodetect)&quot;,
    &quot;project.structure.last.edited&quot;: &quot;Project&quot;,
    &quot;project.structure.proportion&quot;: &quot;0.15&quot;,
    &quot;project.structure.side.proportion&quot;: &quot;0.2&quot;,
    &quot;settings.editor.selected.configurable&quot;: &quot;MavenSettings&quot;,
    &quot;spring.configuration.checksum&quot;: &quot;01e8d6459cd6fde32ae04be2ea503fa6&quot;,
    &quot;vue.rearranger.settings.migration&quot;: &quot;true&quot;
  }
}</component>
  <component name="RunAnythingCache">
    <option name="myCommands">
      <command value="mvn install" />
    </option>
  </component>
  <component name="RunManager" selected="Spring Boot.HelloProviderApplication">
    <configuration name="HelloProviderApplication" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="demo.helloprovider.HelloProviderApplication" />
      <module name="hello-provider" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="demo.helloprovider.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="HelloProviderApplication" type="CompoundRunConfigurationType">
      <toRun name="HelloProviderApplication1" type="SpringBootApplicationConfigurationType" />
      <toRun name="HelloProviderApplication2" type="SpringBootApplicationConfigurationType" />
      <method v="2" />
    </configuration>
    <configuration name="HelloConfigApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="hello-config" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="demo.helloconfig.HelloConfigApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="HelloConsumerApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="hello-consumer" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="demo.helloconsumer.HelloConsumerApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="HelloProviderApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="hello-provider" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="demo.helloprovider.HelloProviderApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="HelloProviderApplication2" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="hello-provider" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="demo.helloprovider.HelloProviderApplication" />
      <option name="VM_PARAMETERS" value="-Dserver.port=8091" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="HelloappApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="helloapp" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="demo.helloapp.HelloappApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="Application.HelloProviderApplication" />
      <item itemvalue="Compound.HelloProviderApplication" />
      <item itemvalue="Spring Boot.HelloappApplication" />
      <item itemvalue="Spring Boot.HelloConsumerApplication" />
      <item itemvalue="Spring Boot.HelloProviderApplication" />
      <item itemvalue="Spring Boot.HelloProviderApplication2" />
      <item itemvalue="Spring Boot.HelloConfigApplication" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="Application.HelloProviderApplication" />
      </list>
    </recent_temporary>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="c52799ba-83cd-46f7-b2da-2d47c17ebb70" name="Changes" comment="" />
      <created>1649043588690</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1649043588690</updated>
      <workItem from="1649043588700" duration="9018000" />
      <workItem from="1649129769970" duration="6510000" />
      <workItem from="1649142850628" duration="7209000" />
      <workItem from="1649151163060" duration="11778000" />
      <workItem from="1649742951149" duration="5272000" />
      <workItem from="1649748654236" duration="2096000" />
      <workItem from="1649751636757" duration="8306000" />
      <workItem from="1649820052211" duration="6909000" />
      <workItem from="1649908869706" duration="11010000" />
      <workItem from="1650019193075" duration="2195000" />
      <workItem from="1650077000875" duration="1964000" />
      <workItem from="1650114638262" duration="2539000" />
      <workItem from="1650249460242" duration="5557000" />
      <workItem from="1650259834882" duration="12818000" />
      <workItem from="1650335618823" duration="4339000" />
      <workItem from="1651466616127" duration="11693000" />
      <workItem from="1651721916312" duration="10576000" />
      <workItem from="1651805579513" duration="12728000" />
      <workItem from="1651887724040" duration="18141000" />
      <workItem from="1651999637922" duration="616000" />
      <workItem from="1652002550967" duration="2000" />
      <workItem from="1652002562061" duration="4000" />
      <workItem from="1652003205792" duration="3448000" />
      <workItem from="1652059795413" duration="22465000" />
      <workItem from="1652096598466" duration="3592000" />
      <workItem from="1652101750851" duration="3900000" />
      <workItem from="1652147631340" duration="2232000" />
      <workItem from="1652150120434" duration="11731000" />
      <workItem from="1652190956346" duration="410000" />
      <workItem from="1652191563053" duration="9897000" />
      <workItem from="1652327245932" duration="3347000" />
      <workItem from="1652409663374" duration="4639000" />
      <workItem from="1653550463815" duration="28297000" />
      <workItem from="1699091576723" duration="1278000" />
      <workItem from="1699094054396" duration="1823000" />
      <workItem from="1699250148615" duration="33000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <breakpoint enabled="true" type="java-exception">
          <properties class="java.lang.AbstractMethodError" package="java.lang" />
          <option name="timeStamp" value="1" />
        </breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
</project>